# TODO
# - odoc
# - tests. W: Tests are turned off, consider enabling with 'ocaml setup.ml -configure --enable-tests'
#
# Conditional build:
%bcond_without	ocaml_opt	# native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), update when upstream will support it
%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

%if %{without ocaml_opt}
%define		_enable_debug_packages	0
%endif

%define		module	sqlite3
Summary:	SQLite 3 binding for OCaml
Summary(pl.UTF-8):	Wiązanie SQLite 3 dla OCamla
Name:		ocaml-sqlite
Version:	5.1.0
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/mmottl/sqlite3-ocaml/releases
Source0:	https://github.com/mmottl/sqlite3-ocaml/releases/download/%{version}/sqlite3-%{version}.tbz
# Source0-md5:	5d7b2c5d9d16ede92745425d99185371
URL:		http://mmottl.github.io/sqlite3-ocaml/
BuildRequires:	ocaml >= 1:4.12
BuildRequires:	ocaml-dune >= 2.7
BuildRequires:	sqlite3-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SQLite 3 database library wrapper for OCaml.

%description -l pl.UTF-8
Obudowanie biblioteki baz danych SQLite 3 dla OCamla.

%package devel
Summary:	SQLite 3 binding for OCaml - development part
Summary(pl.UTF-8):	Wiązanie SQLite 3 dla OCamla - część programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This package contains files needed to develop OCaml programs using
ocaml-sqlite3 library.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki niezbędne do tworzenia programów w OCamlu
używających biblioteki ocaml-sqlite3.

%prep
%setup -q -n sqlite3-%{version}

%build
dune build --verbose @install

%install
rm -rf $RPM_BUILD_ROOT

dune install --destdir=$RPM_BUILD_ROOT

# sources
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/%{module}/*.ml
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/%{module}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md LICENSE.md README.md TODO.md pre-v4.2.0-CHANGES.txt
%dir %{_libdir}/ocaml/%{module}
%{_libdir}/ocaml/%{module}/META
%{_libdir}/ocaml/%{module}/*.cma
%if %{with ocaml_opt}
%attr(755,root,root) %{_libdir}/ocaml/%{module}/*.cmxs
%endif
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllsqlite3_stubs.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/%{module}/libsqlite3_stubs.a
%{_libdir}/ocaml/%{module}/*.cmi
%{_libdir}/ocaml/%{module}/*.cmt
%{_libdir}/ocaml/%{module}/*.cmti
%{_libdir}/ocaml/%{module}/*.mli
%if %{with ocaml_opt}
%{_libdir}/ocaml/%{module}/sqlite3.a
%{_libdir}/ocaml/%{module}/*.cmx
%{_libdir}/ocaml/%{module}/*.cmxa
%endif
%{_libdir}/ocaml/%{module}/dune-package
%{_libdir}/ocaml/%{module}/opam
%changelog
* Wed Dec 22 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-sqlite.git;a=log;h=master

* Wed Dec 22 2021 Jakub Bogusz <qboosh@pld-linux.org> d4cc092
- updated to 5.1.0

* Wed Dec 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 94c3a82
- now stublibs also without ocaml_opt

* Tue Dec 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 29a1333
- updated to 4.4.1, now uses dune

* Tue Dec 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 71fd17d
- unified base/-devel split

* Tue Dec 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 270b3b2
- pl

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 07ce034
- rebuild with separate debuginfo build-ids

* Sat Mar 27 2021 Jan Rękorajski <baggins@pld-linux.org> fd8c79e
- update META file location
- rel 2

* Tue Mar 23 2021 Jan Rękorajski <baggins@pld-linux.org> 79aa486
- no debug packages of no opt

* Tue Mar 23 2021 Jan Rękorajski <baggins@pld-linux.org> 9b415c8
- clean up noopt files

* Tue Mar 23 2021 Jan Rękorajski <baggins@pld-linux.org> f04eb97
- update files

* Tue Mar 23 2021 Jan Rękorajski <baggins@pld-linux.org> a92ae8e
- up to 4.1.3

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> fda6eae
- rebuild with ocaml 4.04.1
- release 5 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> b6209cf
- release 4 (by relup.sh)

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> fc3c399
- there is no opt target, opt build is autodetected

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> a1750ae
- cleanup opt bcond
- rel 3

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 717b9d5
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 17c04d3
- add module macro, verbose file exts

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> b9e76c4
- up to 2.0.4

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 6445826
- typo in package name

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> e987c75
- new

